Package org.pushingpixels.flamingo.api.ribbon.resize

# Class BaseRibbonBandResizeSequencingPolicy

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.resize.BaseRibbonBandResizeSequencingPolicy

All Implemented Interfaces:
  `RibbonBandResizeSequencingPolicy`

Direct Known Subclasses:
  `CoreRibbonResizeSequencingPolicies.CollapseFromLast`, `CoreRibbonResizeSequencingPolicies.RoundRobin`

public abstract class BaseRibbonBandResizeSequencingPolicy extends Object implements RibbonBandResizeSequencingPolicy
Base class for the core ribbon band resize sequencing policies.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected RibbonTask`
`ribbonTask`
The associated ribbon task.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BaseRibbonBandResizeSequencingPolicy(RibbonTask ribbonTask)`
Creates a new resize sequencing policy.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pushingpixels.flamingo.api.ribbon.resize.RibbonBandResizeSequencingPolicy

`next, reset`

## Field Details

### ribbonTask

protected RibbonTask ribbonTask
The associated ribbon task.

## Constructor Details

### BaseRibbonBandResizeSequencingPolicy

protected BaseRibbonBandResizeSequencingPolicy(RibbonTask ribbonTask)
Creates a new resize sequencing policy.

Parameters:
  `ribbonTask` - The associated ribbon task.